# Uses of Class
it.tdlight.jni.TdApi.Background

## Uses of TdApi.Background in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Background
Modifier and Type
Field
Description
`TdApi.Background`
TdApi.ChatBackground.`background`
The background.
`TdApi.Background`
TdApi.ThemeSettings.`background`
The background to be used in chats; may be null.
`TdApi.Background`
TdApi.UpdateDefaultBackground.`background`
The new default background; may be null.
`TdApi.Background[]`
TdApi.Backgrounds.`backgrounds`
A list of backgrounds.
Constructors in it.tdlight.jni with parameters of type TdApi.Background
Modifier
Constructor
Description
``
`Backgrounds(TdApi.Background[] backgrounds)`
Contains a list of backgrounds.
``
`ChatBackground(TdApi.Background background, int darkThemeDimming)`
Describes a background set for a specific chat.
``
`ThemeSettings(int accentColor, TdApi.Background background, TdApi.BackgroundFill outgoingMessageFill, boolean animateOutgoingMessageFill, int outgoingMessageAccentColor)`
Describes theme settings.
``
`UpdateDefaultBackground(boolean forDarkTheme, TdApi.Background background)`
The default background has changed.